#!/usr/bin/perl -w
use strict;
use diagnostics;
use LinuxFocus::DB;

my $db = LinuxFocus::DB->new();

$db->load("lfdb.xml");

$db->setLang("nl");
foreach my $id ($db->getArticleIDs()) {
  $db->selectArticle($id);
  print "=0 -+- $id -+- " . $db->getArticleTheme("en") . " -+- " . 
        $db->getArticleTitle() . " -+- " . $db->getArticleAuthorEmail() .
        " -+- " . $db->getArticleAuthor() . "\n";
  print "=1 -+- " . $db->getArticleAbstract() . "\n";
  print "=2 -+- " . $db->getArticleTranslationReservationDate(to => "nl") . 
        " -+- " . $db->getArticleTranslationDate(to => "nl") . " -+- " .
        $db->getArticleTranslationProofreadDate(to => "nl") . "\n\n";
}

